Get a carrier (BYOC) voice call by ID
GET/v3/call-voice/{callVoiceId}
Retrieve a single carrier voice call by its id — the same id delivered
in the call_voice.* webhooks and returned by the list endpoint. The call
must belong to the authenticated partner.
Get a carrier (BYOC) voice call by ID
curl https://api.linqapp.com/api/partner/v3/call-voice/$CALL_VOICE_ID \
-H "Authorization: Bearer $LINQ_API_V3_API_KEY"{
"id": "550e8400-e29b-41d4-a716-446655440000",
"direction": "inbound",
"from": "+12052532136",
"status": "completed",
"to": "+12052535597",
"ended_at": "2026-03-05T12:05:00Z",
"started_at": "2026-03-05T12:00:05Z"
}{
"error": {
"status": 401,
"code": 2004,
"message": "Unauthorized - missing or invalid authentication token",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2004/"
},
"success": false
}{
"error": {
"status": 404,
"code": 2001,
"message": "Resource not found",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2001/"
},
"success": false
}{
"error": {
"status": 500,
"code": 3006,
"message": "Internal server error",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/3xxx/3006/"
},
"success": false
}Returns Examples
{
"id": "550e8400-e29b-41d4-a716-446655440000",
"direction": "inbound",
"from": "+12052532136",
"status": "completed",
"to": "+12052535597",
"ended_at": "2026-03-05T12:05:00Z",
"started_at": "2026-03-05T12:00:05Z"
}{
"error": {
"status": 401,
"code": 2004,
"message": "Unauthorized - missing or invalid authentication token",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2004/"
},
"success": false
}{
"error": {
"status": 404,
"code": 2001,
"message": "Resource not found",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/2xxx/2001/"
},
"success": false
}{
"error": {
"status": 500,
"code": 3006,
"message": "Internal server error",
"doc_url": "https://docs.linqapp.com/channel/imessage/error/codes/3xxx/3006/"
},
"success": false
}